%global namedreltag -cr-1
%global namedversion %{version}%{?namedreltag}

Name:          shrinkwrap
Version:       1.0.0
Release:       %mkrel 1
Summary:       A simple mechanism to assemble Java archives
Group:         Development/Java
License:       ASL 2.0
Url:           http://www.jboss.org/shrinkwrap/
# git clone git://github.com/shrinkwrap/shrinkwrap.git
# cd shrinkwrap && git archive --format=tar --prefix=shrinkwrap-%{namedversion}/ %{namedversion} | xz > shrinkwrap-%{namedversion}.tar.xz
Source0:       %{name}-%{namedversion}.tar.xz

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: jboss-parent

BuildRequires: apiviz
BuildRequires: junit4

BuildRequires: findbugs-maven-plugin
BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      junit4

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Shrinkwrap provides a simple mechanism to assemble archives like JARs, WARs, and
EARs with a friendly, fluent API.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

sed -i "s|<version.org.apache.maven.plugins_maven-site-plugin>3.0-beta-3|<version.org.apache.maven.plugins_maven-site-plugin>2.3|" pom.xml
sed -i "s|<module>dist</module>|<!--module>dist</module-->|" pom.xml

%build

export JAVA5_HOME=%_jvmdir/java
mvn-rpmbuild -e install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

# JAR
mkdir -p %{buildroot}%{_javadir}
install -pm 644 api/target/%{name}-api-%{namedversion}-tests.jar %{buildroot}%{_javadir}/%{name}-api-tests-%{namedversion}.jar
install -pm 644 api/target/%{name}-api-%{namedversion}.jar %{buildroot}%{_javadir}/
install -pm 644 impl-base/target/%{name}-impl-base-%{namedversion}-tests.jar %{buildroot}%{_javadir}/%{name}-impl-base-tests-%{namedversion}.jar
install -pm 644 impl-base/target/%{name}-impl-base-%{namedversion}.jar %{buildroot}%{_javadir}/
install -pm 644 spi/target/%{name}-spi-%{namedversion}.jar %{buildroot}%{_javadir}/

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{namedversion}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{namedversion}||g"`
  done
)

# POM
mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-parent.pom
%add_maven_depmap JPP-%{name}-parent.pom
install -pm 644 api/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-api.pom
%add_maven_depmap JPP-%{name}-api.pom %{name}-api.jar
install -pm 644 impl-base/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-impl-base.pom
%add_maven_depmap JPP-%{name}-impl-base.pom %{name}-impl-base.jar
install -pm 644 spi/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-spi.pom
%add_maven_depmap JPP-%{name}-spi.pom %{name}-spi.jar

# APIDOCS
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -r target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-api-%{namedversion}.jar
%{_javadir}/%{name}-api.jar
%{_javadir}/%{name}-api-tests-%{namedversion}.jar
%{_javadir}/%{name}-api-tests.jar
%{_javadir}/%{name}-impl-base-%{namedversion}.jar
%{_javadir}/%{name}-impl-base.jar
%{_javadir}/%{name}-impl-base-tests-%{namedversion}.jar
%{_javadir}/%{name}-impl-base-tests.jar
%{_javadir}/%{name}-spi-%{namedversion}.jar
%{_javadir}/%{name}-spi.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Mon Oct 31 2011 gil <gil> 1.0.0-1.mga2
+ Revision: 160229
- imported package shrinkwrap

